[arch-commits] Commit in postgresql/repos (18 files)

Jan Steffens heftig at archlinux.org
Fri Aug 17 23:34:22 UTC 2012


    Date: Friday, August 17, 2012 @ 19:34:22
  Author: heftig
Revision: 165398

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  postgresql/repos/testing-i686/
  postgresql/repos/testing-i686/PKGBUILD
    (from rev 165397, postgresql/trunk/PKGBUILD)
  postgresql/repos/testing-i686/postgresql-initdb
    (from rev 165397, postgresql/trunk/postgresql-initdb)
  postgresql/repos/testing-i686/postgresql.confd
    (from rev 165397, postgresql/trunk/postgresql.confd)
  postgresql/repos/testing-i686/postgresql.install
    (from rev 165397, postgresql/trunk/postgresql.install)
  postgresql/repos/testing-i686/postgresql.logrotate
    (from rev 165397, postgresql/trunk/postgresql.logrotate)
  postgresql/repos/testing-i686/postgresql.pam
    (from rev 165397, postgresql/trunk/postgresql.pam)
  postgresql/repos/testing-i686/postgresql.rcd
    (from rev 165397, postgresql/trunk/postgresql.rcd)
  postgresql/repos/testing-i686/postgresql.service
    (from rev 165397, postgresql/trunk/postgresql.service)
  postgresql/repos/testing-x86_64/
  postgresql/repos/testing-x86_64/PKGBUILD
    (from rev 165397, postgresql/trunk/PKGBUILD)
  postgresql/repos/testing-x86_64/postgresql-initdb
    (from rev 165397, postgresql/trunk/postgresql-initdb)
  postgresql/repos/testing-x86_64/postgresql.confd
    (from rev 165397, postgresql/trunk/postgresql.confd)
  postgresql/repos/testing-x86_64/postgresql.install
    (from rev 165397, postgresql/trunk/postgresql.install)
  postgresql/repos/testing-x86_64/postgresql.logrotate
    (from rev 165397, postgresql/trunk/postgresql.logrotate)
  postgresql/repos/testing-x86_64/postgresql.pam
    (from rev 165397, postgresql/trunk/postgresql.pam)
  postgresql/repos/testing-x86_64/postgresql.rcd
    (from rev 165397, postgresql/trunk/postgresql.rcd)
  postgresql/repos/testing-x86_64/postgresql.service
    (from rev 165397, postgresql/trunk/postgresql.service)

-------------------------------------+
 testing-i686/PKGBUILD               |  154 ++++++++++++++++++++++++++++++++++
 testing-i686/postgresql-initdb      |   33 +++++++
 testing-i686/postgresql.confd       |   11 ++
 testing-i686/postgresql.install     |   26 +++++
 testing-i686/postgresql.logrotate   |    4 
 testing-i686/postgresql.pam         |    3 
 testing-i686/postgresql.rcd         |   79 +++++++++++++++++
 testing-i686/postgresql.service     |   20 ++++
 testing-x86_64/PKGBUILD             |  154 ++++++++++++++++++++++++++++++++++
 testing-x86_64/postgresql-initdb    |   33 +++++++
 testing-x86_64/postgresql.confd     |   11 ++
 testing-x86_64/postgresql.install   |   26 +++++
 testing-x86_64/postgresql.logrotate |    4 
 testing-x86_64/postgresql.pam       |    3 
 testing-x86_64/postgresql.rcd       |   79 +++++++++++++++++
 testing-x86_64/postgresql.service   |   20 ++++
 16 files changed, 660 insertions(+)

Copied: postgresql/repos/testing-i686/PKGBUILD (from rev 165397, postgresql/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,154 @@
+# $Id$
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgbase=postgresql
+pkgname=('postgresql-libs' 'postgresql-docs' 'postgresql')
+pkgver=9.1.4
+_majorver=${pkgver%.*}
+pkgrel=2
+arch=('i686' 'x86_64')
+url="http://www.postgresql.org/"
+license=('custom:PostgreSQL')
+makedepends=('krb5' 'libxml2' 'python2' 'perl' 'tcl' 'openssl>=1.0.0')
+source=(ftp://ftp.postgresql.org/pub/source/v${pkgver}/postgresql-${pkgver}.tar.bz2
+        postgresql.rcd postgresql.confd postgresql.pam postgresql.logrotate
+        postgresql.service postgresql-initdb)
+md5sums=('a8035688dba988b782725ac1aec60186'
+         '1ddd1df8010549f237e7983bb326025e'
+         'a54d09a20ab1672adf08f037df188d53'
+         '96f82c38f3f540b53f3e5144900acf17'
+         'd28e443f9f65a5712c52018b84e27137'
+         '1ec1fbf1ce998324248c543e6cc2c5e6'
+         '1488a98a5d5d96a04416e4f5872223bf')
+sha256sums=('a0795a8eb3ae2d1a2914b63bf143d20182835d90699915ff43567c041d3c9712'
+            '9f6307b1358892e304f9474a456f0cb9160cfb8812a9da0430abe647f8a9cf45'
+            '3de5c059eead8816db15c2c5588e6196d6c4b0d704faf1a20912796cf589ba81'
+            '57dfd072fd7ef0018c6b0a798367aac1abb5979060ff3f9df22d1048bb71c0d5'
+            '6abb842764bbed74ea4a269d24f1e73d1c0b1d8ecd6e2e6fb5fb10590298605e'
+            '7014ccc8f3bbac8be9473a43fca2ed4037ee04e56d8e07d6027b3b4ef0317c89'
+            'c22f82a3cf5b555935039853fab2d7e5ff6188cdb1fb528fa9171a87b94f42b0')
+
+build() {
+  cd "${srcdir}/postgresql-${pkgver}"
+
+  ./configure --prefix=/usr \
+  --mandir=/usr/share/man \
+  --datadir=/usr/share/postgresql \
+  --with-krb5 \
+  --with-libxml \
+  --with-openssl \
+  --with-perl \
+  --with-python PYTHON=/usr/bin/python2 \
+  --with-tcl \
+  --with-pam \
+  --with-system-tzdata=/usr/share/zoneinfo \
+  --enable-nls \
+  --enable-thread-safety
+
+  make world
+}
+
+package_postgresql-libs() {
+  pkgdesc="Libraries for use with PostgreSQL"
+  depends=('krb5' 'openssl>=1.0.0' 'readline>=6.0')
+  provides=('postgresql-client')
+  conflicts=('postgresql-client')
+
+  cd "${srcdir}/postgresql-${pkgver}"
+
+  # install license
+  install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/postgresql-libs/LICENSE"
+
+  # install libs
+  for dir in src/interfaces src/bin/pg_config src/bin/psql; do
+    make -C ${dir} DESTDIR="${pkgdir}" install
+  done
+
+  install -D -m644 doc/src/sgml/man1/pg_config.1 "${pkgdir}/usr/share/man/man1/pg_config.1"
+  install -D -m644 doc/src/sgml/man1/psql.1 "${pkgdir}/usr/share/man/man1/psql.1"
+
+  cd src/include
+
+  mkdir -p "${pkgdir}"/usr/include/{libpq,postgresql/internal/libpq}
+
+  # these headers are needed by the public headers of the interfaces
+  install -m644 pg_config.h "${pkgdir}/usr/include/"
+  install -m644 pg_config_os.h "${pkgdir}/usr/include/"
+  install -m644 postgres_ext.h "${pkgdir}/usr/include/"
+  install -m644 libpq/libpq-fs.h "${pkgdir}/usr/include/libpq/"
+  install -m644 pg_config_manual.h "${pkgdir}/usr/include/"
+
+  # these headers are needed by the not-so-public headers of the interfaces
+  install -m644 c.h "${pkgdir}/usr/include/postgresql/internal/"
+  install -m644 port.h "${pkgdir}/usr/include/postgresql/internal/"
+  install -m644 postgres_fe.h "${pkgdir}/usr/include/postgresql/internal/"
+  install -m644 libpq/pqcomm.h "${pkgdir}/usr/include/postgresql/internal/libpq/"
+}
+
+package_postgresql-docs() {
+  pkgdesc="HTML documentation for PostgreSQL"
+  options=(docs)
+
+  cd "${srcdir}/postgresql-${pkgver}"
+
+  # install license
+  install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/postgresql-docs/LICENSE"
+
+  make -C doc/src/sgml DESTDIR="${pkgdir}" install-html
+  chown -R root:root "${pkgdir}/usr/share/doc/postgresql/html/"
+
+  # clean up
+  rmdir "${pkgdir}"/usr/share/man/man{1,3,7}
+  rmdir "${pkgdir}"/usr/share/man
+}
+
+package_postgresql() {
+  pkgdesc="A sophisticated object-relational DBMS"
+  backup=('etc/conf.d/postgresql' 'etc/pam.d/postgresql' 'etc/logrotate.d/postgresql')
+  depends=("postgresql-libs>=${pkgver}" 'krb5' 'libxml2' 'readline>=6.0' 'openssl>=1.0.0')
+  optdepends=('python2: for PL/Python support'
+              'perl: for PL/Perl support'
+              'tcl: for PL/Tcl support'
+              'postgresql-old-upgrade: upgrade from previous major version using pg_upgrade')
+  install=postgresql.install
+
+  cd "${srcdir}/postgresql-${pkgver}"
+
+  # install
+  make DESTDIR="${pkgdir}" install
+  make -C contrib DESTDIR="${pkgdir}" install
+  make -C doc/src/sgml DESTDIR="${pkgdir}" install-man
+
+  # we don't want these, they are in the -libs package
+  for dir in src/interfaces src/bin/pg_config src/bin/psql; do
+    make -C ${dir} DESTDIR="${pkgdir}" uninstall
+  done
+  rm "${pkgdir}/usr/share/man/man1/pg_config.1"
+  rm "${pkgdir}/usr/share/man/man1/psql.1"
+
+  # install license
+  install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/${pkgbase}/LICENSE"
+
+  # clean up unneeded installed items
+  rm -rf "${pkgdir}/usr/include/postgresql/internal"
+  rm -rf "${pkgdir}/usr/include/libpq"
+  find "${pkgdir}/usr/include" -maxdepth 1 -type f -execdir rm {} +
+  rmdir "${pkgdir}/usr/share/doc/postgresql/html"
+
+  # install launch script
+  install -D -m755 "${srcdir}/postgresql.rcd" "${pkgdir}/etc/rc.d/postgresql"
+  install -D -m644 "${srcdir}/postgresql.service" \
+    "${pkgdir}/usr/lib/systemd/system/postgresql.service"
+  install -D -m755 "${srcdir}/postgresql-initdb" \
+    "${pkgdir}/usr/lib/systemd/scripts/postgresql-initdb"
+
+  # install conf file
+  install -D -m644 ${srcdir}/postgresql.confd \
+    "${pkgdir}/etc/conf.d/postgresql"
+
+  install -D -m644 ${srcdir}/postgresql.pam \
+    "${pkgdir}/etc/pam.d/postgresql"
+
+  install -D -m644 ${srcdir}/postgresql.logrotate \
+    "${pkgdir}/etc/logrotate.d/postgresql"
+}

Copied: postgresql/repos/testing-i686/postgresql-initdb (from rev 165397, postgresql/trunk/postgresql-initdb)
===================================================================
--- testing-i686/postgresql-initdb	                        (rev 0)
+++ testing-i686/postgresql-initdb	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+. /etc/conf.d/postgresql
+
+# 2nd clause is necessary to prevent symlinking the directory to itself when it
+# doesn't exist yet
+if [ ! /var/lib/postgres -ef "$PGROOT" ] && [ /var/lib/postgres != "$PGROOT" ]; then
+    echo "Creating symlink /var/lib/postgres -> $PGROOT"
+
+    # Remove /var/lib/postgres if empty dir, but not if symlink
+    if [ ! -L /var/lib/postgres ] && [ -d /var/lib/postgres ]; then
+        rmdir /var/lib/postgres
+    fi
+
+    ln -sf "$PGROOT" /var/lib/postgres
+fi
+
+PGDATA="$PGROOT/data"
+
+if [ ! -d "$PGDATA" ]; then
+    echo "Initializing database in $PGDATA"
+
+    mkdir -p "$PGDATA"
+    chown -R postgres:postgres "$PGDATA"
+
+    su - postgres -m -c "/usr/bin/initdb $INITOPTS -D '$PGDATA'" >/dev/null
+
+    if [ -f /etc/postgresql/postgresql.conf ]; then
+        ln -sf /etc/postgresql/postgresql.conf "$PGDATA/postgresql.conf"
+    fi
+fi

Copied: postgresql/repos/testing-i686/postgresql.confd (from rev 165397, postgresql/trunk/postgresql.confd)
===================================================================
--- testing-i686/postgresql.confd	                        (rev 0)
+++ testing-i686/postgresql.confd	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,11 @@
+##
+## Parameters to be passed to postgresql
+##
+## Default data directory location
+#PGROOT="/var/lib/postgres"
+## Passed to initdb if necessary
+INITOPTS="--locale en_US.UTF-8"
+## Default log file location
+#PGLOG="/var/log/postgresql.log"
+## Additional options to pass via pg_ctl's '-o' option
+#PGOPTS=""

Copied: postgresql/repos/testing-i686/postgresql.install (from rev 165397, postgresql/trunk/postgresql.install)
===================================================================
--- testing-i686/postgresql.install	                        (rev 0)
+++ testing-i686/postgresql.install	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,26 @@
+post_install() {
+  if [ ! -d '/var/lib/postgres' ]; then
+    mkdir -p '/var/lib/postgres'
+  fi
+  getent group postgres >/dev/null || groupadd -g 88 postgres
+  getent passwd postgres >/dev/null || useradd -c 'PostgreSQL user' -u 88 -g postgres -d '/var/lib/postgres' -s /bin/bash postgres
+  passwd -l postgres >/dev/null
+}
+
+post_upgrade() {
+  post_install $1
+  # FS#23858, fix postgres user shell issue
+  postgres_shell=$(getent passwd postgres | cut -d: -f7)
+  if [ "$postgres_shell" = "/sbin/nologin" ]; then
+    chsh -s /bin/bash postgres
+  fi
+}
+
+post_remove() {
+  if getent passwd postgres >/dev/null; then
+    userdel postgres
+  fi
+  if getent group postgres >/dev/null; then
+    groupdel postgres
+  fi
+}

Copied: postgresql/repos/testing-i686/postgresql.logrotate (from rev 165397, postgresql/trunk/postgresql.logrotate)
===================================================================
--- testing-i686/postgresql.logrotate	                        (rev 0)
+++ testing-i686/postgresql.logrotate	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,4 @@
+/var/log/postgresql.log {
+   copytruncate
+   missingok
+}

Copied: postgresql/repos/testing-i686/postgresql.pam (from rev 165397, postgresql/trunk/postgresql.pam)
===================================================================
--- testing-i686/postgresql.pam	                        (rev 0)
+++ testing-i686/postgresql.pam	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,3 @@
+auth		required	pam_unix.so
+account		required	pam_unix.so
+session		required	pam_unix.so

Copied: postgresql/repos/testing-i686/postgresql.rcd (from rev 165397, postgresql/trunk/postgresql.rcd)
===================================================================
--- testing-i686/postgresql.rcd	                        (rev 0)
+++ testing-i686/postgresql.rcd	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/postgresql
+
+# Default PGROOT if it wasn't defined in the conf.d file
+PGROOT=${PGROOT:-/var/lib/postgres}
+PGLOG=${PGLOG:-/var/log/postgresql.log}
+PGCTL_BIN=/usr/bin/pg_ctl
+PGCTL_ARGS=(-D "$PGROOT/data" -l "$PGLOG" -s -w)
+[[ $PGOPTS ]] && PGCTL_ARGS+=(-o "$PGOPTS")
+
+postgres_init() {
+  # initialization
+  if [[ ! -d "$PGROOT/data" ]]; then
+    mkdir -p "$PGROOT/data" && chown -R postgres:postgres "$PGROOT"
+    su - postgres -c "/usr/bin/initdb $INITOPTS -D '$PGROOT/data'"
+  fi
+  if [[ ! -e "$PGLOG" ]]; then
+    touch "$PGLOG"
+    chown postgres "$PGLOG"
+  fi
+}
+
+do_postgres() {
+  su - postgres -c "'$PGCTL_BIN' $(printf '%q ' "${PGCTL_ARGS[@]}" "$@")"
+}
+
+case $1 in
+  start)
+    postgres_init
+    stat_busy "Starting PostgreSQL"
+    if do_postgres start; then
+      add_daemon postgresql
+      stat_done
+    else
+      stat_fail
+      exit 1
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping PostgreSQL"
+    if do_postgres stop -m fast; then
+      rm_daemon postgresql
+      stat_done
+    else
+      stat_fail
+      exit 1
+    fi
+    ;;
+  reload)
+    stat_busy "Reloading PostgreSQL"
+    if do_postgres reload; then
+      stat_done
+    else
+      stat_fail
+      exit 1
+    fi
+    ;;
+  restart)
+    postgres_init
+    stat_busy "Restarting PostgreSQL"
+    if do_postgres restart -m fast; then
+      add_daemon postgresql
+      stat_done
+    else
+      stat_fail
+      exit 1
+    fi
+    ;;
+  status)
+    stat_busy "Checking PostgreSQL status";
+    ck_status postgresql
+    ;;
+  *)
+    echo "usage: $0 {start|stop|reload|restart|status}"
+    exit 1
+esac

Copied: postgresql/repos/testing-i686/postgresql.service (from rev 165397, postgresql/trunk/postgresql.service)
===================================================================
--- testing-i686/postgresql.service	                        (rev 0)
+++ testing-i686/postgresql.service	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,20 @@
+[Unit]
+Description=PostgreSQL database server
+
+[Service]
+Type=forking
+SyslogIdentifier=postgres
+PIDFile=/var/lib/postgres/data/postmaster.pid
+
+# initdb script takes care for symlinking $PGROOT to /var/lib/postgres
+ExecStartPre=/usr/lib/systemd/scripts/postgresql-initdb
+ExecStart= /bin/su - postgres -m -c "/usr/bin/pg_ctl -s -D /var/lib/postgres/data start"
+ExecReload=/bin/su - postgres -m -c "/usr/bin/pg_ctl -s -D /var/lib/postgres/data reload"
+ExecStop=  /bin/su - postgres -m -c "/usr/bin/pg_ctl -s -D /var/lib/postgres/data stop -m fast"
+
+# Due to PostgreSQL's use of shared memory, OOM killer is often overzealous in
+# killing Postgres
+OOMScoreAdjust=-200
+
+[Install]
+WantedBy=multi-user.target

Copied: postgresql/repos/testing-x86_64/PKGBUILD (from rev 165397, postgresql/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,154 @@
+# $Id$
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgbase=postgresql
+pkgname=('postgresql-libs' 'postgresql-docs' 'postgresql')
+pkgver=9.1.4
+_majorver=${pkgver%.*}
+pkgrel=2
+arch=('i686' 'x86_64')
+url="http://www.postgresql.org/"
+license=('custom:PostgreSQL')
+makedepends=('krb5' 'libxml2' 'python2' 'perl' 'tcl' 'openssl>=1.0.0')
+source=(ftp://ftp.postgresql.org/pub/source/v${pkgver}/postgresql-${pkgver}.tar.bz2
+        postgresql.rcd postgresql.confd postgresql.pam postgresql.logrotate
+        postgresql.service postgresql-initdb)
+md5sums=('a8035688dba988b782725ac1aec60186'
+         '1ddd1df8010549f237e7983bb326025e'
+         'a54d09a20ab1672adf08f037df188d53'
+         '96f82c38f3f540b53f3e5144900acf17'
+         'd28e443f9f65a5712c52018b84e27137'
+         '1ec1fbf1ce998324248c543e6cc2c5e6'
+         '1488a98a5d5d96a04416e4f5872223bf')
+sha256sums=('a0795a8eb3ae2d1a2914b63bf143d20182835d90699915ff43567c041d3c9712'
+            '9f6307b1358892e304f9474a456f0cb9160cfb8812a9da0430abe647f8a9cf45'
+            '3de5c059eead8816db15c2c5588e6196d6c4b0d704faf1a20912796cf589ba81'
+            '57dfd072fd7ef0018c6b0a798367aac1abb5979060ff3f9df22d1048bb71c0d5'
+            '6abb842764bbed74ea4a269d24f1e73d1c0b1d8ecd6e2e6fb5fb10590298605e'
+            '7014ccc8f3bbac8be9473a43fca2ed4037ee04e56d8e07d6027b3b4ef0317c89'
+            'c22f82a3cf5b555935039853fab2d7e5ff6188cdb1fb528fa9171a87b94f42b0')
+
+build() {
+  cd "${srcdir}/postgresql-${pkgver}"
+
+  ./configure --prefix=/usr \
+  --mandir=/usr/share/man \
+  --datadir=/usr/share/postgresql \
+  --with-krb5 \
+  --with-libxml \
+  --with-openssl \
+  --with-perl \
+  --with-python PYTHON=/usr/bin/python2 \
+  --with-tcl \
+  --with-pam \
+  --with-system-tzdata=/usr/share/zoneinfo \
+  --enable-nls \
+  --enable-thread-safety
+
+  make world
+}
+
+package_postgresql-libs() {
+  pkgdesc="Libraries for use with PostgreSQL"
+  depends=('krb5' 'openssl>=1.0.0' 'readline>=6.0')
+  provides=('postgresql-client')
+  conflicts=('postgresql-client')
+
+  cd "${srcdir}/postgresql-${pkgver}"
+
+  # install license
+  install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/postgresql-libs/LICENSE"
+
+  # install libs
+  for dir in src/interfaces src/bin/pg_config src/bin/psql; do
+    make -C ${dir} DESTDIR="${pkgdir}" install
+  done
+
+  install -D -m644 doc/src/sgml/man1/pg_config.1 "${pkgdir}/usr/share/man/man1/pg_config.1"
+  install -D -m644 doc/src/sgml/man1/psql.1 "${pkgdir}/usr/share/man/man1/psql.1"
+
+  cd src/include
+
+  mkdir -p "${pkgdir}"/usr/include/{libpq,postgresql/internal/libpq}
+
+  # these headers are needed by the public headers of the interfaces
+  install -m644 pg_config.h "${pkgdir}/usr/include/"
+  install -m644 pg_config_os.h "${pkgdir}/usr/include/"
+  install -m644 postgres_ext.h "${pkgdir}/usr/include/"
+  install -m644 libpq/libpq-fs.h "${pkgdir}/usr/include/libpq/"
+  install -m644 pg_config_manual.h "${pkgdir}/usr/include/"
+
+  # these headers are needed by the not-so-public headers of the interfaces
+  install -m644 c.h "${pkgdir}/usr/include/postgresql/internal/"
+  install -m644 port.h "${pkgdir}/usr/include/postgresql/internal/"
+  install -m644 postgres_fe.h "${pkgdir}/usr/include/postgresql/internal/"
+  install -m644 libpq/pqcomm.h "${pkgdir}/usr/include/postgresql/internal/libpq/"
+}
+
+package_postgresql-docs() {
+  pkgdesc="HTML documentation for PostgreSQL"
+  options=(docs)
+
+  cd "${srcdir}/postgresql-${pkgver}"
+
+  # install license
+  install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/postgresql-docs/LICENSE"
+
+  make -C doc/src/sgml DESTDIR="${pkgdir}" install-html
+  chown -R root:root "${pkgdir}/usr/share/doc/postgresql/html/"
+
+  # clean up
+  rmdir "${pkgdir}"/usr/share/man/man{1,3,7}
+  rmdir "${pkgdir}"/usr/share/man
+}
+
+package_postgresql() {
+  pkgdesc="A sophisticated object-relational DBMS"
+  backup=('etc/conf.d/postgresql' 'etc/pam.d/postgresql' 'etc/logrotate.d/postgresql')
+  depends=("postgresql-libs>=${pkgver}" 'krb5' 'libxml2' 'readline>=6.0' 'openssl>=1.0.0')
+  optdepends=('python2: for PL/Python support'
+              'perl: for PL/Perl support'
+              'tcl: for PL/Tcl support'
+              'postgresql-old-upgrade: upgrade from previous major version using pg_upgrade')
+  install=postgresql.install
+
+  cd "${srcdir}/postgresql-${pkgver}"
+
+  # install
+  make DESTDIR="${pkgdir}" install
+  make -C contrib DESTDIR="${pkgdir}" install
+  make -C doc/src/sgml DESTDIR="${pkgdir}" install-man
+
+  # we don't want these, they are in the -libs package
+  for dir in src/interfaces src/bin/pg_config src/bin/psql; do
+    make -C ${dir} DESTDIR="${pkgdir}" uninstall
+  done
+  rm "${pkgdir}/usr/share/man/man1/pg_config.1"
+  rm "${pkgdir}/usr/share/man/man1/psql.1"
+
+  # install license
+  install -D -m644 COPYRIGHT "${pkgdir}/usr/share/licenses/${pkgbase}/LICENSE"
+
+  # clean up unneeded installed items
+  rm -rf "${pkgdir}/usr/include/postgresql/internal"
+  rm -rf "${pkgdir}/usr/include/libpq"
+  find "${pkgdir}/usr/include" -maxdepth 1 -type f -execdir rm {} +
+  rmdir "${pkgdir}/usr/share/doc/postgresql/html"
+
+  # install launch script
+  install -D -m755 "${srcdir}/postgresql.rcd" "${pkgdir}/etc/rc.d/postgresql"
+  install -D -m644 "${srcdir}/postgresql.service" \
+    "${pkgdir}/usr/lib/systemd/system/postgresql.service"
+  install -D -m755 "${srcdir}/postgresql-initdb" \
+    "${pkgdir}/usr/lib/systemd/scripts/postgresql-initdb"
+
+  # install conf file
+  install -D -m644 ${srcdir}/postgresql.confd \
+    "${pkgdir}/etc/conf.d/postgresql"
+
+  install -D -m644 ${srcdir}/postgresql.pam \
+    "${pkgdir}/etc/pam.d/postgresql"
+
+  install -D -m644 ${srcdir}/postgresql.logrotate \
+    "${pkgdir}/etc/logrotate.d/postgresql"
+}

Copied: postgresql/repos/testing-x86_64/postgresql-initdb (from rev 165397, postgresql/trunk/postgresql-initdb)
===================================================================
--- testing-x86_64/postgresql-initdb	                        (rev 0)
+++ testing-x86_64/postgresql-initdb	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+. /etc/conf.d/postgresql
+
+# 2nd clause is necessary to prevent symlinking the directory to itself when it
+# doesn't exist yet
+if [ ! /var/lib/postgres -ef "$PGROOT" ] && [ /var/lib/postgres != "$PGROOT" ]; then
+    echo "Creating symlink /var/lib/postgres -> $PGROOT"
+
+    # Remove /var/lib/postgres if empty dir, but not if symlink
+    if [ ! -L /var/lib/postgres ] && [ -d /var/lib/postgres ]; then
+        rmdir /var/lib/postgres
+    fi
+
+    ln -sf "$PGROOT" /var/lib/postgres
+fi
+
+PGDATA="$PGROOT/data"
+
+if [ ! -d "$PGDATA" ]; then
+    echo "Initializing database in $PGDATA"
+
+    mkdir -p "$PGDATA"
+    chown -R postgres:postgres "$PGDATA"
+
+    su - postgres -m -c "/usr/bin/initdb $INITOPTS -D '$PGDATA'" >/dev/null
+
+    if [ -f /etc/postgresql/postgresql.conf ]; then
+        ln -sf /etc/postgresql/postgresql.conf "$PGDATA/postgresql.conf"
+    fi
+fi

Copied: postgresql/repos/testing-x86_64/postgresql.confd (from rev 165397, postgresql/trunk/postgresql.confd)
===================================================================
--- testing-x86_64/postgresql.confd	                        (rev 0)
+++ testing-x86_64/postgresql.confd	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,11 @@
+##
+## Parameters to be passed to postgresql
+##
+## Default data directory location
+#PGROOT="/var/lib/postgres"
+## Passed to initdb if necessary
+INITOPTS="--locale en_US.UTF-8"
+## Default log file location
+#PGLOG="/var/log/postgresql.log"
+## Additional options to pass via pg_ctl's '-o' option
+#PGOPTS=""

Copied: postgresql/repos/testing-x86_64/postgresql.install (from rev 165397, postgresql/trunk/postgresql.install)
===================================================================
--- testing-x86_64/postgresql.install	                        (rev 0)
+++ testing-x86_64/postgresql.install	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,26 @@
+post_install() {
+  if [ ! -d '/var/lib/postgres' ]; then
+    mkdir -p '/var/lib/postgres'
+  fi
+  getent group postgres >/dev/null || groupadd -g 88 postgres
+  getent passwd postgres >/dev/null || useradd -c 'PostgreSQL user' -u 88 -g postgres -d '/var/lib/postgres' -s /bin/bash postgres
+  passwd -l postgres >/dev/null
+}
+
+post_upgrade() {
+  post_install $1
+  # FS#23858, fix postgres user shell issue
+  postgres_shell=$(getent passwd postgres | cut -d: -f7)
+  if [ "$postgres_shell" = "/sbin/nologin" ]; then
+    chsh -s /bin/bash postgres
+  fi
+}
+
+post_remove() {
+  if getent passwd postgres >/dev/null; then
+    userdel postgres
+  fi
+  if getent group postgres >/dev/null; then
+    groupdel postgres
+  fi
+}

Copied: postgresql/repos/testing-x86_64/postgresql.logrotate (from rev 165397, postgresql/trunk/postgresql.logrotate)
===================================================================
--- testing-x86_64/postgresql.logrotate	                        (rev 0)
+++ testing-x86_64/postgresql.logrotate	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,4 @@
+/var/log/postgresql.log {
+   copytruncate
+   missingok
+}

Copied: postgresql/repos/testing-x86_64/postgresql.pam (from rev 165397, postgresql/trunk/postgresql.pam)
===================================================================
--- testing-x86_64/postgresql.pam	                        (rev 0)
+++ testing-x86_64/postgresql.pam	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,3 @@
+auth		required	pam_unix.so
+account		required	pam_unix.so
+session		required	pam_unix.so

Copied: postgresql/repos/testing-x86_64/postgresql.rcd (from rev 165397, postgresql/trunk/postgresql.rcd)
===================================================================
--- testing-x86_64/postgresql.rcd	                        (rev 0)
+++ testing-x86_64/postgresql.rcd	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/postgresql
+
+# Default PGROOT if it wasn't defined in the conf.d file
+PGROOT=${PGROOT:-/var/lib/postgres}
+PGLOG=${PGLOG:-/var/log/postgresql.log}
+PGCTL_BIN=/usr/bin/pg_ctl
+PGCTL_ARGS=(-D "$PGROOT/data" -l "$PGLOG" -s -w)
+[[ $PGOPTS ]] && PGCTL_ARGS+=(-o "$PGOPTS")
+
+postgres_init() {
+  # initialization
+  if [[ ! -d "$PGROOT/data" ]]; then
+    mkdir -p "$PGROOT/data" && chown -R postgres:postgres "$PGROOT"
+    su - postgres -c "/usr/bin/initdb $INITOPTS -D '$PGROOT/data'"
+  fi
+  if [[ ! -e "$PGLOG" ]]; then
+    touch "$PGLOG"
+    chown postgres "$PGLOG"
+  fi
+}
+
+do_postgres() {
+  su - postgres -c "'$PGCTL_BIN' $(printf '%q ' "${PGCTL_ARGS[@]}" "$@")"
+}
+
+case $1 in
+  start)
+    postgres_init
+    stat_busy "Starting PostgreSQL"
+    if do_postgres start; then
+      add_daemon postgresql
+      stat_done
+    else
+      stat_fail
+      exit 1
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping PostgreSQL"
+    if do_postgres stop -m fast; then
+      rm_daemon postgresql
+      stat_done
+    else
+      stat_fail
+      exit 1
+    fi
+    ;;
+  reload)
+    stat_busy "Reloading PostgreSQL"
+    if do_postgres reload; then
+      stat_done
+    else
+      stat_fail
+      exit 1
+    fi
+    ;;
+  restart)
+    postgres_init
+    stat_busy "Restarting PostgreSQL"
+    if do_postgres restart -m fast; then
+      add_daemon postgresql
+      stat_done
+    else
+      stat_fail
+      exit 1
+    fi
+    ;;
+  status)
+    stat_busy "Checking PostgreSQL status";
+    ck_status postgresql
+    ;;
+  *)
+    echo "usage: $0 {start|stop|reload|restart|status}"
+    exit 1
+esac

Copied: postgresql/repos/testing-x86_64/postgresql.service (from rev 165397, postgresql/trunk/postgresql.service)
===================================================================
--- testing-x86_64/postgresql.service	                        (rev 0)
+++ testing-x86_64/postgresql.service	2012-08-17 23:34:22 UTC (rev 165398)
@@ -0,0 +1,20 @@
+[Unit]
+Description=PostgreSQL database server
+
+[Service]
+Type=forking
+SyslogIdentifier=postgres
+PIDFile=/var/lib/postgres/data/postmaster.pid
+
+# initdb script takes care for symlinking $PGROOT to /var/lib/postgres
+ExecStartPre=/usr/lib/systemd/scripts/postgresql-initdb
+ExecStart= /bin/su - postgres -m -c "/usr/bin/pg_ctl -s -D /var/lib/postgres/data start"
+ExecReload=/bin/su - postgres -m -c "/usr/bin/pg_ctl -s -D /var/lib/postgres/data reload"
+ExecStop=  /bin/su - postgres -m -c "/usr/bin/pg_ctl -s -D /var/lib/postgres/data stop -m fast"
+
+# Due to PostgreSQL's use of shared memory, OOM killer is often overzealous in
+# killing Postgres
+OOMScoreAdjust=-200
+
+[Install]
+WantedBy=multi-user.target




More information about the arch-commits mailing list